<?php

@ include 'settings_head.php';

?>
<div class="wrap gs_settings gs_product_brand_settings" style="width: 845px; float: left; margin: 10px 0 0 2px;">
    <div id="icon-themes" class="icon32"></div>
    <h2>GS Product Brands Settings</h2>
    <?php settings_errors(); ?>

    <h2 class="nav-tab-wrapper">
        <a href="#general" class="nav-tab nav-tab-active general-tab" data-block="general"><?php _e('General', 'Gswcbr_product_brand_domain') ?></a>
        <a href="#css" class="nav-tab css-tab" data-block="css"><?php _e('CSS', 'Gswcbr_product_brand_domain') ?></a>
        <a href="#javascript" class="nav-tab javascript-tab" data-block="javascript"><?php _e('JavaScript', 'Gswcbr_product_brand_domain') ?></a>
    </h2> 

    <form class="product_brand_submit_form" method="post" action="options.php">
        <?php
        $options = Gswcbr_product_brand::get_option(); ?>
        <div class="nav-block general-block nav-block-active">
            <table class="form-table license">
                <tr>
                    <th scope="row"><?php _e('Brand Name on Shop', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                        <input type="checkbox" name="gs-product_brand-options[display_Brandname]" value="1"<?php if( @ $options['display_Brandname']) echo ' checked'; ?>>
                        <span class="option-desc">Choose to show / hide Brand Name on Shop.</span>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><?php _e('Brand Name Position', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                        <select name="gs-product_brand-options[brand_select_position]"> 
                          <option value="belowtitle" <?php if( @ $options['brand_select_position'] =='belowtitle') echo ' selected'; ?> >Below Title</option> 
                          <option value="abovetitle" <?php if( @ $options['brand_select_position'] =='abovetitle') echo ' selected'; ?>>Above Title</option>
                          <option value="belowprice" <?php if( @ $options['brand_select_position'] =='belowprice') echo ' selected'; ?>>Below Price</option> 
                        </select>
                        <span class="option-desc">Select Brand Name Position on Shop page.</span>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><?php _e('Image on Single Brand Page', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                        <input type="checkbox" name="gs-product_brand-options[display_thumbnail]" value="1"<?php if( @ $options['display_thumbnail']) echo ' checked'; ?>>
                        <span class="option-desc">Choose to show / hide Brand Image on Single Brand Page.</span>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><?php _e('Description on Brand Page', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                        <input type="checkbox" name="gs-product_brand-options[display_description]" value="1"<?php if( @ $options['display_description']) echo ' checked'; ?>>
                        <span class="option-desc">Choose to show / hide Brand Description on Single Brand Page.</span>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><?php _e('Tooltip', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                        <input type="checkbox" name="gs-product_brand-options[display_tooltip]" value="1"<?php if( @ $options['display_tooltip']) echo ' checked'; ?>>
                        <span class="option-desc">Show / hide Tooltip. Applicable at Slider theme.</span>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><?php _e('Logo Width on Brand Page', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                        <input type="text" name="gs-product_brand-options[thumbnail_width]" value="<?php echo $options['thumbnail_width']?>">
                        <span class="option-desc">Set Brand Logo Width on Single Brand Page.</span>
                    </td>
                </tr>
                 <tr>
                    <th scope="row"><?php _e('Thumbnail Container Width', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                        <input type="text" name="gs-product_brand-options[container_width]" value="<?php echo isset( $options['container_width'] ) ? $options['container_width']:'150'?>">
                        <span class="option-desc">Set preferred Thumbnail Container Width.</span>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><?php _e('Brands Name on Product Page', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                        <input type="checkbox" name="gs-product_brand-options[brand_name_product_page]" value="1" <?php if( @ $options['brand_name_product_page']) echo ' checked'; ?>>
                        <span class="option-desc">Choose to show / hide Brand Name on Single Product Page.</span>
                    </td>
                </tr>
                 <tr>
                    <th scope="row"><?php _e('Brand Label on Shop', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                        <input type="checkbox" name="gs-product_brand-options[brand_level_shop_page]" value="1" <?php if( @ $options['brand_level_shop_page']) echo ' checked'; ?>>
                        <span class="option-desc">Choose to show / hide Brand Label on Shop Page.</span>
                    </td>
                </tr>
                 <tr>
                    <th scope="row"><?php _e('Brand Label Text', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                        <input type="text" name="gs-product_brand-options[brand_level_text]" value="<?php echo isset( $options['brand_level_text'] ) ? $options['brand_level_text']:'Brand'?>">
                        <span class="option-desc">Set preferred Brand Label Text.</span>
                    </td>
                </tr>

                <tr>
                    <th scope="row"><?php _e('Brand Name Position', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                       <select name="gs-product_brand-options[select__product_position]">
                            <option value="below-category" <?php if( @ $options['select__product_position'] =='below-category') echo ' selected'; ?> >Below Category</option>
                            <option value="above-cart" <?php if( @ $options['select__product_position'] =='above-cart') echo ' selected'; ?> >Above Cart Button</option>
                            <option value="below-cart" <?php if( @ $options['select__product_position'] =='below-cart') echo ' selected'; ?> >Below Cart Button</option>   
                            <option value="above-tab" <?php if( @ $options['select__product_position'] =='above-tab') echo ' selected'; ?> >Above Tabs Area</option>   
                            <option value="below-tab" <?php if( @ $options['select__product_position'] =='below-tab') echo ' selected'; ?> >Below Tabs Area</option>
                            <option value="below-des" <?php if( @ $options['select__product_position'] =='below-des') echo ' selected'; ?> >Below Short Description</option>   
                            <option value="above-des" <?php if( @ $options['select__product_position'] =='above-des') echo ' selected'; ?> >Above Short Description</option>                         
                        </select>
                    <span class="option-desc">Select Brand Name Position on Product page.</span>
                    </td>
                </tr>
               
                <tr>
                    <th scope="row"><?php _e('Brand Image on Product', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                        <input type="checkbox" name="gs-product_brand-options[brand_image_product_Page]" value="1" <?php if( @ $options['brand_image_product_Page']) echo ' checked'; ?>>
                        <span class="option-desc">Choose to show / hide Brand Image on Single Product Page.</span>
                    </td>
                </tr>
                  <tr>
                    <th scope="row"><?php _e('Brand Image Size', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                        <input type="text" name="gs-product_brand-options[brand_imaze_size]" value="<?php echo isset( $options['brand_imaze_size'] ) ? $options['brand_imaze_size']:'64px'?>">
                        <span class="option-desc">Set preferred Brand Image Size on Single Product Page .</span>
                    </td>
                </tr>
                <tr>
                    <th scope="row"><?php _e('Brand Image Position', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                        <input type="number" name="gs-product_brand-options[brand_image_product_Page_position]" value='<?php echo $options['brand_image_product_Page_position']?>' min="1" max="30" >
                        <span class="option-desc">Set Brand Image Position on Single Product page.</span>
                    </td>
                </tr>
                 <tr>
                    <th scope="row"><?php _e('Brand Themes', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                       <select name="gs-product_brand-options[brand_select_theme]"> 
                          <option value="slider1" <?php if( @ $options['brand_select_theme'] =='slider1') echo ' selected'; ?>>Slider : 1</option> 
                          <option value="slider2" <?php if( @ $options['brand_select_theme'] =='slider2') echo ' selected'; ?>>Slider : 2 (Center Mode)</option>
                          <option value="slider3" <?php if( @ $options['brand_select_theme'] =='slider3') echo ' selected'; ?>>Slider : 3 (Vertical) PRO</option>
                          <option value="ticker" <?php if( @ $options['brand_select_theme'] =='ticker') echo ' selected'; ?>>Ticker : LTR PRO</option>
                          <option value="ticker-rtl" <?php if( @ $options['brand_select_theme'] =='ticker-rtl') echo ' selected'; ?>>Ticker : RTL PRO</option>
                          <option value="filtera-z" <?php if( @ $options['brand_select_theme'] =='filtera-z') echo ' selected'; ?>>Filter (A-Z) PRO</option>
                          <option value="filter-list" <?php if( @ $options['brand_select_theme'] =='filter-list') echo ' selected'; ?>>Filter (A-Z) Vertical PRO</option>
                          <option value="grid" <?php if( @ $options['brand_select_theme'] =='grid') echo ' selected'; ?>>Grid PRO</option>
                          <option value="grid-masonary" <?php if( @ $options['brand_select_theme'] =='grid-masonary') echo ' selected'; ?>>Grid (Masonry) PRO</option>
                          <option value="data-table" <?php if( @ $options['brand_select_theme'] =='data-table') echo ' selected'; ?>>Table View PRO</option> 
                        </select>
                        <span class="option-desc">Select your preferred Brand Theme.</span>
                    </td>
                </tr>
            </table>
        </div>
        <div class="nav-block css-block">
            <table class="form-table license">
                <tr>
                    <th scope="row"><?php _e('Custom CSS', 'Gswcbr_product_brand_domain') ?></th>
                    <td>
                        <textarea name="gs-product_brand-options[custom_css]"><?php echo $options['custom_css']?></textarea>
                    </td>
                </tr>
            </table>
        </div>
        <div class="nav-block javascript-block">
            <table class="form-table license">
                <tr>
                    <th scope="row"><?php _e('Custom JavaScript', 'gswcbr_product_brand_domain') ?></th>
                    <td>
                        <textarea name="gs-product_brand-options[custom_js]"><?php echo $options['custom_js']?></textarea>
                    </td>
                </tr>
            </table>
        </div>
        <input type="submit" class="button-primary" value="<?php _e('Save Changes', 'Gswcbr_product_brand_domain') ?>" />
        <div class="gs_save_error"></div>
    </form>
</div>

<div class="gswbrand-admin-sidebar" style="width: 277px; float: left; margin: 95px 0 0 22px;">
                <div class="postbox">
                    <h3 class="hndle"><span><?php _e( 'Support / Report a bug' ) ?></span></h3>
                    <div class="inside centered">
                        <p>Please feel free to let me know if you got any bug to report. Your report / suggestion can make the plugin awesome!</p>
                        <p><a href="https://gsplugins.com/support" target="_blank" class="button button-primary">Get Support</a></p>
                    </div>
                </div>
                <div class="postbox">
                    <h3 class="hndle"><span><?php _e( 'Buy me a coffee' ) ?></span></h3>
                    <div class="inside centered">
                        <p>If you like the plugin, please buy me a coffee to inspire me to develop further.</p>
                        <p><a href='https://www.2checkout.com/checkout/purchase?sid=202460873&quantity=1&product_id=1' class="button button-primary" target="_blank">Donate</a></p>
                    </div>
                </div>

                <div class="postbox">
                    <h3 class="hndle"><span><?php _e( 'Subscribe to NewsLetter' ) ?></span></h3>
                    <div class="inside centered">
                        <p>Sign up today & be the first to get notified on new plugin updates. Your information will never be shared with any third party.</p>
                            <!-- Begin MailChimp Signup Form -->
                       
                        <style type="text/css">
                            #mc_embed_signup{background:#fff; clear:left; font:13px "Open Sans",sans-serif; }
                            /* Add your own MailChimp form style overrides in your site stylesheet or in this style block.
                               We recommend moving this block and the preceding CSS link to the HEAD of your HTML file. */
                        </style>
                        <div id="mc_embed_signup">
                        <form action="//gsamdani.us11.list-manage.com/subscribe/post?u=92f99db71044540329de15732&amp;id=2600f1ae0f" method="post" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" class="validate" target="_blank" novalidate style="padding: 0;">
                            <div id="mc_embed_signup_scroll">
                            
                            <input type="email" value="" name="EMAIL" class="email" id="mce-EMAIL" placeholder="Enter your Email address" required style="width: 100%; border:1px solid #E2E1E1; text-align: center;">
                            <!-- real people should not fill this in and expect good things - do not remove this or risk form bot signups-->
                            <div style="position: absolute; left: -5000px;"><input type="text" name="b_92f99db71044540329de15732_2600f1ae0f" tabindex="-1" value=""></div>
                            <div class="clear" style="text-align: center; display: block;">
                                <input type="submit" value="Subscribe" name="subscribe" id="mc-embedded-subscribe" class="button button-primary" style="display: inline; margin: 0; background: #00a0d2; font-size: 13px;">
                            </div>
                            </div>
                        </form>
                        </div>
                        <!--End mc_embed_signup-->
                    </div>
                </div>

                <div class="postbox">
                    <h3 class="hndle"><span><?php _e( 'Join GS Plugins on facebook' ) ?></span></h3>
                    <div class="inside centered">
                        <iframe src="//www.facebook.com/plugins/likebox.php?href=https://www.facebook.com/gsplugins&amp;width&amp;height=258&amp;colorscheme=dark&amp;show_faces=true&amp;header=false&amp;stream=false&amp;show_border=false&amp;appId=723137171103956" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:250px; height:220px;" allowTransparency="true"></iframe>
                    </div>
                </div>

                <div class="postbox">
                    <h3 class="hndle"><span><?php _e( 'Follow GS Plugins on twitter' ) ?></span></h3>
                    <div class="inside centered">
                        <a href="https://twitter.com/gsplugins" target="_blank" class="button button-secondary">Follow @gsplugins<span class="dashicons dashicons-twitter" style="position: relative; top: 3px; margin-left: 3px; color: #0fb9da;"></span></a>
                    </div>
                </div>
            </div> <!-- end gswvar-admin-sidebar -->
<?php
@ include 'settings_footer.php';
?>